Name:          quazip
Version:       1.3
Release:       1mamba
Summary:       Qt/C++ wrapper over minizip
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/stachenov/quazip
Source:        https://github.com/stachenov/quazip.git/v%{version}/quazip-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Qt/C++ wrapper over minizip.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Qt/C++ wrapper over minizip

%description -n lib%{name}
Qt/C++ wrapper over minizip.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DQUAZIP_QT_MAJOR_VERSION=5
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libquazip1-qt5.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/QuaZip-Qt5-%{version}
%{_includedir}/QuaZip-Qt5-%{version}/*
%{_libdir}/libquazip1-qt5.so
%dir %{_libdir}/cmake/QuaZip-Qt5-%{version}
%{_libdir}/cmake/QuaZip-Qt5-%{version}/QuaZip-Qt5*.cmake
%{_libdir}/pkgconfig/quazip1-qt5.pc
%doc README.md

%changelog
* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Sun Nov 14 2021 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Tue Oct 20 2020 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Mon May 25 2020 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 0.9-1mamba
- automatic version update by autodist

* Thu Aug 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- package created using the webbuild interface
